Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class MinimumPriceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.beasys.commerce.foundation.exception.FatalApplicationException
                              |
                              +--com.bea.commerce.ebusiness.price.quote.QuoteException
                                    |
                                    +--com.bea.commerce.ebusiness.price.quote.MinimumPriceException

All Implemented Interfaces:
  MessageCatalogException, Serializable

public class MinimumPriceException
extends QuoteException

A MinimumPriceException indicates that some money value is below a prescribed minimum. The prescribed

See Also:
  `ApplicationException`, Serialized Form

Field Summary
`static String` | `KEY` The name of the resource bundle
`static String` | `MIN`
`static String` | `TOTAL_MIN`
`static String` | `UNIT_MIN`

Fields inherited from class com.bea.commerce.ebusiness.price.quote.QuoteException
`MESSAGE_KEY, MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`MinimumPriceException(Money actual, double min)` Constructs a new exception with specified values and uses the MinimumPriceException.MIN messsage key.
`MinimumPriceException(Object argument)` Class constructor taking an argument for the message.
`MinimumPriceException(String messageKey, Money actual, double min)` Constructs a new exception with specified values

Methods inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

  The name of the resource bundle

  See Also:
    Constant Field Values

### UNIT_MIN

    public static final String UNIT_MIN

See Also:
  Constant Field Values

### TOTAL_MIN

    public static final String TOTAL_MIN

See Also:
  Constant Field Values

### MIN

    public static final String MIN

See Also:
  Constant Field Values

Constructor Detail

### MinimumPriceException

    public MinimumPriceException(Object argument)

  Class constructor taking an argument for the message. Uses the MinimumPriceException.KEY

Parameters:
  `argument` - parameter to the message catalog.

### MinimumPriceException

    public MinimumPriceException(String messageKey,
                                 Money actual,
                                 double min)

  Constructs a new exception with specified values

Parameters:
  `messageKey` - The associated catalog message key.
  `actual` - the actual price that is below the minimum.
  `min` - the minimum price the actual price is below.

### MinimumPriceException

    public MinimumPriceException(Money actual,
                                 double min)

  Constructs a new exception with specified values and uses the MinimumPriceException.MIN messsage key.

Parameters:
  `actual` - the actual price that is below the minimum.
  `min` - the minimum price the actual price is below.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved